Package Search
 
Members: 353 | Topics: 767 | Posts: 3211
We welcome our newest member: ClintBarton
Info
» You aren't logged in, login or registerOnline: No members and 18 guests | Time: 16:42
Problems with glibc
paldo Support Forum    paldo    General Discussion
Reply Reply   Subscribe Topic Subscribe Topic
4 posts found.
 Problems with glibc
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Code[In neuem Fenster öffnen]
running configure fragment for nptl/sysdeps/pthread
checking for forced unwind support... ../glibc-2.5-20070218/nptl/sysdeps/pthread/configure: line 67: conftest: command not found
no
configure: error: forced unwind support is required
make[1]: Failed to remake makefile `/usr/src/glibc-build/config.make'.
rm -f /usr/src/glibc-build/stamp.o; > /usr/src/glibc-build/stamp.o
rm -f /usr/src/glibc-build/stamp.os; > /usr/src/glibc-build/stamp.os
rm -f /usr/src/glibc-build/stamp.oS; > /usr/src/glibc-build/stamp.oS
cd /usr/src/glibc-build && ar cruv libc.a `cat stamp.o`
: /usr/src/glibc-build/libc.a
cd /usr/src/glibc-build && ar cruv libc_pic.a `cat stamp.os`
: /usr/src/glibc-build/libc_pic.a
cd /usr/src/glibc-build && ar cruv libc_nonshared.a `cat stamp.oS`
: /usr/src/glibc-build/libc_nonshared.a
make[1]: *** No rule to make target `/usr/src/glibc-build/Versions.all', needed by `/usr/src/glibc-build/abi-versions.h'. Stop.
make[1]: Leaving directory `/usr/src/glibc-2.5-20070218'
make: *** [all] Error 2
*** Error: make -j 2
*** ERROR: glibc-x86-glibc-2.5-gcc-4.1-1-2.5-20070218-1


seems something went wrong.
Profile   Private Message   E-Mail
Created: 2007-02-18 19:19
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Problems with glibc
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Code[In neuem Fenster öffnen]
The following packages will be removed:
glibc.saved

The following extra packages will be installed:
lirc-2.6.20-paldo3

The following packages will be upgraded:
cairo xterm

Do you want to continue? [Y/n]
[CHECK] upkg-remove --force $release
Removing glibc-x86-glibc-2.5-gcc-4.1-1-2.5-20061227-2...
/usr/bin/upkg-remove: line 154: /bin/bzcat: No such file or directory
/usr/bin/upkg-remove: line 154: /usr/bin/tac: No such file or directory
/usr/bin/upkg-remove: line 173: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 174: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 175: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 176: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 177: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 181: /bin/rm: No such file or directory
/usr/bin/upkg-remove: line 182: /bin/rm: No such file or directory
*** Error: upkg-remove --force $release
Profile   Private Message   E-Mail
Created: 2007-02-18 19:24
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Problems with glibc
Administrator
 
 
 
Posts: 426
Registered: 2004-09-09
You should be cautious with upgrading already installed packages from source, there are a lot of possible error sources, we don't have the manpower to ensure safe upgrading from source for all packages. Just wait for the binaries to become available and upgrade then as normal, without enforcing source build like you seem to do.
Profile   Private Message   Web
Created: 2007-02-18 20:18
Highlight selected Text   Edit   Delete   Quote Reply
 Re: Problems with glibc
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
It worked with the binary. I never wanted to install it from source. Nexttime Ill check before I install source the next time.
Profile   Private Message   E-Mail
Created: 2007-02-18 22:56
Highlight selected Text   Edit   Delete   Quote Reply
Subscribe Topic Subscribe Topic
powered by bitron board 1.23a